REM
REM A simple backup system using disk2vhd
REM
REM version 1.3, by J.E.B., 2011-02-22
REM
REM requires 'disk2vhd.exe' to be in the path
REM

setLocal EnableDelayedExpansion

REM "DRIVES" can be one drive identifier with colon, multiple separated by spaces,
REM or asterisk for all.  
REM "DEST" can be a drive letter or a UNC.

SET DRIVES=*
SET DEST=%CD%backup-daten

REM Keep most recent 4 VHD files in DEST, delete the rest

for /f "skip=4 tokens=* delims= " %%a in ('dir/b/o-d %DEST%\*.VHDX') do (
echo del %DEST%\%%a
)

REM Backup to VHD
.\backup-programme\disk2vhd64.exe -h %DRIVES% %DEST%\%COMPUTERNAME%-%date:~-10,3%%date:~-7,2%%date:~-4,4%.VHDX

EXIT /B n